Bug 846036 - Delegation search error using trailing space is different
Delegation search error using trailing space is different
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
IDM QE LIST
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 11:40 EDT by Namita Soman
Modified: 2015-01-16 03:37 EST (History)
3 users (show)

See Also:
Fixed In Version: ipa-3.2.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:14:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Namita Soman 2012-08-06 11:40:05 EDT
Description of problem:

Error when searching for a delegation using leading/trailing space is different than users.
Similar behaviour seen as delegation, when searching for selfservice permisisons, and rbac permissions.

# ipa user-find "a "
---------------
0 users matched
---------------
----------------------------
Number of entries returned 0
----------------------------


# ipa delegation-find "a "
ipa: ERROR: invalid 'criteria': Leading and trailing spaces are not allowed

Version-Release number of selected component (if applicable):
freeipa-server-2.99.0-0.20120803T0900Zgit1be46b3.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. as above

  
Actual results:
different error when searching delegation

Expected results:
same behaviour when searching delegation, and users

Additional info:
Comment 2 Dmitri Pal 2012-08-07 09:53:34 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2981
Comment 9 Michael Gregg 2013-12-23 17:48:00 EST
Verified against ipa-server-3.3.3-6.el7.x86_64

[root@blade05 ~]# ipa user-find "q "
---------------
0 users matched
---------------
----------------------------
Number of entries returned 0
----------------------------
[root@blade05 ~]# ipa delegation-find "q "
---------------------
0 delegations matched
---------------------
----------------------------
Number of entries returned 0
----------------------------
Comment 10 Ludek Smid 2014-06-13 07:14:46 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.